import tornado.web
import tornado.websocket
import tornado.ioloop
import os.path
 
class MainHandler(tornado.web.RequestHandler):
    def get(self):
        self.render('front.html')
 
class WebSocketHandler(tornado.websocket.WebSocketHandler):
    def on_message(self, message):
        self.write_message(message)

settings = dict(
	template_path=os.path.join(os.path.dirname(__file__), "templates"),
	static_path=os.path.join(os.path.dirname(__file__), "static"),
)

application = tornado.web.Application([
	(r"/", MainHandler)
],**settings)

if __name__ == "__main__":
	print 'server running...'
	print 'press ctrl + c to close'
	application.listen(8888)
	tornado.ioloop.IOLoop.instance().start()